package com.mx.dla.dda.reporte.pago.dtos;

import java.util.List;
import java.util.Map;

import com.mx.dla.global.dtos.BaseDTO;

public class ReportePagoViewDTO extends BaseDTO {

	private static final long serialVersionUID = 1L;
	private Long idTituloCntorig;
	private String nombreEstandar;
	private List<DetalleViewDTO> detalle;
	private Map<String, Double> detalleCompleto;

	public Long getIdTituloCntorig() {
		return idTituloCntorig;
	}

	public void setIdTituloCntorig(Long idTituloCntorig) {
		this.idTituloCntorig = idTituloCntorig;
	}

	public void setNombreEstandar(String nombreEstandar) {
		this.nombreEstandar = nombreEstandar;
	}

	public String getNombreEstandar() {
		return nombreEstandar;
	}

	public List<DetalleViewDTO> getDetalle() {
		return detalle;
	}

	public void setDetalle(List<DetalleViewDTO> detalle) {
		this.detalle = detalle;
	}

	public void setDetalleCompleto(Map<String, Double> detalleCompleto) {
		this.detalleCompleto = detalleCompleto;
	}

	public Map<String, Double> getDetalleCompleto() {
		return detalleCompleto;
	}

}
